%define module PyXML
#%define pyver %(python -c 'import sys;print(sys.version[0:3])')
#%define pysite %{_libdir}/python%{pyver}/site-packages
%define pyinc %{_includedir}/python%{pyver}
Summary:	XML libraries for python
Summary(ja):	Python XML ライブラリ
Name:		python-pyxml
Version:	0.8.4
Release:	4%{?_dist_release}
URL:		http://pyxml.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pyxml/PyXML-%{version}.tar.gz
License:	Apacheish
Group:		Development/Languages
Requires:	python, libexpat
BuildRequires:	python-devel, expat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	%{module}
Provides:	%{module}

%description
An XML package for Python. The distribution contains a validating XML
parser, an implementation of the SAX and DOM programming interfaces
and an interface to the Expat parser.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" \
	%{_bindir}/python setup.py build --with-libexpat=%{_prefix}

%install
%__rm -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%{_bindir}/python -O %{_libdir}/python%{pyver}/compileall.py \
	%{buildroot}%{python_sitearch}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.* TODO doc/*
%{_bindir}/*
%{python_sitearch}/*

%changelog
* Sat Jun 06 2009 Shu KONNO <owa@bg.wakwak.com> 0.8.4-4
- spec in utf-8 properly
- use rpm macros: pyver, python_sitearch

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.4-3vl5
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8

* Wed Feb 27 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.4-2vl3
- rebuild with expat-2.0.1

* Mon May  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.4-2vl2
- fixed Japanese summary
- changed Group:

* Wed Sep 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.4-2vl1
- initial build for Vine Linux

* Wed May  4 2005 Gotz Waschk <waschk@mandriva.org> 0.8.4-2mdk
- use external libexpat
- enable xpath and xslt

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-1mdk
- new version
- changed name

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.3-4mdk
- Rebuild for new python

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.8.3-3mdk
- [DIRM]

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.8.3-2mdk 
- [DIRM]

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.8.3-1mdk
- 0.8.3

* Tue Aug 12 2003 Per Oyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-4mdk
- rebuild for new python

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 0.8.2-3mdk
- release

* Tue Mar 25 2003 David Walluck <david@anti-microsoft.org> 0.8.2-2plf
- spec file cleanups

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.2-1plf
- release
